# Forms

## Update form (patch)

patch

https://api.typeform.com/forms/{form_id}

Updates an existing form.

## Request

#### Path Parameters

- **form_id**, required  
  Unique ID for the form. Find in your form URL. For example, in the URL "https://mysite.typeform.com/to/u6nXL7" the form_id is `u6nXL7`.

#### Request Body

- **op**  
  string
- **path**  
  string  
  Valid values: /settings/enrichment_in_renderer/settings/facebook_pixel/settings/google_analytics/settings/google_tag_manager/settings/is_public/settings/meta/theme/title/workspace
- **value**

#### Example

```json
[
  {
    "op": "replace",
    "path": "/title",
    "value": "foo"
  },
  {
    "op": "replace",
    "path": "/settings/is_public",
    "value": false
  },
  {
    "op": "replace",
    "path": "/settings/meta",
    "value": {
      "allow_indexing": true,
      "canva_design_id": "DAElrx6aq-A",
      "description": "meta description",
      "image": {
        "href": "https://images.typeform.com/images/4bcd3"
      },
      "title": "meta title"
    }
  },
  {
    "op": "replace",
    "path": "/workspace",
    "value": {
      "href": "https://api.typeform.com/workspaces/123"
    }
  },
  {
    "op": "replace",
    "path": "/theme",
    "value": {
      "href": "https://api.typeform.com/themes/123"
    }
  }
]
```

## Response

#### Status

204 No content
